﻿<%@ Page Language="VB" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="false" CodeFile="ManagePhotoAlbum.aspx.vb" Inherits="ManagePhotoAlbum" Title="Manage Photo Album" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContent" runat="Server">
	<asp:ListView ID="ListView1" runat="server" DataKeyNames="Id" DataSourceID="LinqDataSource1" InsertItemPosition="LastItem">
		<LayoutTemplate>
			<ul class="itemContainer">
				<li id="itemPlaceholder" runat="server" />
			</ul>
		</LayoutTemplate>
		<InsertItemTemplate>
			<li style="">Description:
				<asp:TextBox ID="DescriptionTextBox" runat="server" TextMode="MultiLine" Text='<%# Bind("Description") %>' /><br />
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="DescriptionTextBox" runat="server" ErrorMessage="Please enter a description."></asp:RequiredFieldValidator>
				Tooltip:
				<asp:TextBox ID="TooltipTextBox" runat="server" Text='<%# Bind("Tooltip") %>' /><br />
				<asp:RequiredFieldValidator ID="RequiredFieldValidator2" ControlToValidate="ToolTipTextBox" runat="server" ErrorMessage="Please enter a tooltip."></asp:RequiredFieldValidator>
				<asp:FileUpload ID="FileUpload1" runat="server" /><br />
				<asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="Please select a valid .jpg file"></asp:CustomValidator>
				<asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" />
				<asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" CausesValidation="false" />
			</li>
		</InsertItemTemplate>
		<ItemTemplate>
			<li style="">Description:
				<asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
				<br />
				Tooltip:
				<asp:Label ID="TooltipLabel" runat="server" Text='<%# Eval("Tooltip") %>' />
				<br />
				<asp:Image ID="ImageUrl" runat="server" ImageUrl='<%# Eval("ImageUrl") %>' />
				<br />
				<asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="Delete" CausesValidation="false" />
			</li>
		</ItemTemplate>
	</asp:ListView>
	<asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="PlanetWroxDataContext" EnableDelete="True" EnableInsert="True" TableName="Pictures" Where="PhotoAlbumId == @PhotoAlbumId">
		<WhereParameters>
			<asp:QueryStringParameter DefaultValue="-1" Name="PhotoAlbumId" QueryStringField="PhotoAlbumId" Type="Int32" />
		</WhereParameters>
	</asp:LinqDataSource>
</asp:Content>
