﻿Imports Microsoft.VisualBasic

Public Class AppConfiguration
	Public Shared ReadOnly Property FromAddress() As String
		Get
			Dim result As String = ConfigurationManager.AppSettings.Get("FromAddress")
			If Not String.IsNullOrEmpty(result) Then
				Return result
			End If
			Throw New Exception("Appsetting FromAddress not found in web.config file")
		End Get
	End Property

	Public Shared ReadOnly Property FromName() As String
		Get
			Dim result As String = ConfigurationManager.AppSettings.Get("FromName")
			If Not String.IsNullOrEmpty(result) Then
				Return result
			End If
			Throw New Exception("Appsetting FromName not found in web.config file")
		End Get
	End Property

	Public Shared ReadOnly Property ToAddress() As String
		Get
			Dim result As String = ConfigurationManager.AppSettings.Get("ToAddress")
			If Not String.IsNullOrEmpty(result) Then
				Return result
			End If
			Throw New Exception("Appsetting ToAddress not found in web.config file")
		End Get
	End Property

	Public Shared ReadOnly Property ToName() As String
		Get
			Dim result As String = ConfigurationManager.AppSettings.Get("ToName")
			If Not String.IsNullOrEmpty(result) Then
				Return result
			End If
			Throw New Exception("Appsetting ToName not found in web.config file")
		End Get
	End Property

	Public Shared ReadOnly Property SendMailOnError() As Boolean
		Get
			Dim result As String = ConfigurationManager.AppSettings.Get("SendMailOnError")
			If Not String.IsNullOrEmpty(result) Then
				Return Convert.ToBoolean(result)
			End If
			Throw New Exception("Appsetting SendMailOnError not found in web.config file")
		End Get
	End Property


End Class
