﻿Partial Class ViewDetails
  Inherits BasePage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Dim reviewId As Integer = Convert.ToInt32(Request.QueryString.Get("ReviewId"))
		Dim myReview As Review

		Using db As New PlanetWroxDataContext()
			myReview = (From r In db.Reviews _
									Where r.Id = reviewId _
									Select r).Single()
			lblTitle.Text = myReview.Title
			lblSummary.Text = myReview.Summary
			lblBody.Text = myReview.Body

			' Set the page title programmatically
			Me.Title = myReview.Title
		End Using
	End Sub
End Class
