﻿Partial Class ManagePhotoAlbum
	Inherits BasePage

	Protected Sub LinqDataSource1_Inserting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.LinqDataSourceInsertEventArgs) Handles LinqDataSource1.Inserting
		Dim myPicture As Picture = CType(e.NewObject, Picture)
		myPicture.PhotoAlbumId = Convert.ToInt32(Request.QueryString.Get("PhotoAlbumId"))

		Dim FileUpload1 As FileUpload = _
					 CType(ListView1.InsertItem.FindControl("FileUpload1"), FileUpload)
		Dim virtualFolder As String = "~/GigPics/"
		Dim physicalFolder As String = Server.MapPath(virtualFolder)
		Dim fileName As String = Guid.NewGuid().ToString()
		Dim extension As String = System.IO.Path.GetExtension(FileUpload1.FileName)

		FileUpload1.SaveAs(System.IO.Path.Combine(physicalFolder, fileName + extension))
		myPicture.ImageUrl = virtualFolder + fileName + extension
	End Sub

	Protected Sub ListView1_ItemInserting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.ListViewInsertEventArgs) Handles ListView1.ItemInserting
		Dim FileUpload1 As FileUpload = _
						 CType(ListView1.InsertItem.FindControl("FileUpload1"), FileUpload)
		If Not FileUpload1.HasFile OrElse _
					Not FileUpload1.FileName.ToLower().EndsWith(".jpg") Then
			Dim CustomValidator1 As CustomValidator = _
					 CType(ListView1.InsertItem.FindControl("CustomValidator1"), CustomValidator)
			CustomValidator1.IsValid = False
			e.Cancel = True
		End If
	End Sub

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
							Handles Me.Load
		Dim photoAlbumId As Integer = Convert.ToInt32(Request.QueryString.Get("PhotoAlbumId"))

		Using myDatabaseContext As PlanetWroxDataContext = New PlanetWroxDataContext()
			Dim photoAlbumOwner As String = (From p In myDatabaseContext.PhotoAlbums _
																			Where p.Id = photoAlbumId _
																			Select p.UserName).Single()

			If User.Identity.Name <> photoAlbumOwner And Not User.IsInRole("Managers") Then
				Response.Redirect("~/")
			End If
		End Using
	End Sub
End Class
