﻿Partial Class Controls_Banner
  Inherits System.Web.UI.UserControl

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    pnlHorizontal.Visible = False
    pnlVertical.Visible = False

    Select Case DisplayDirection
      Case Direction.Horizontal
        pnlHorizontal.Visible = True
        lnkHorizontal.HRef = NavigateUrl
      Case Direction.Vertical
        pnlVertical.Visible = True
        lnkVertical.HRef = NavigateUrl
    End Select
  End Sub

  Private _displayDirection As Direction = Direction.Vertical

  Public Property DisplayDirection() As Direction
    Get
      Return _displayDirection
    End Get
    Set(ByVal value As Direction)
      _displayDirection = value
    End Set
  End Property

  Public Property NavigateUrl() As String
    Get
      Dim _navigateUrl As Object = ViewState("NavigateUrl")
      If _navigateUrl IsNot Nothing Then
        Return CType(_navigateUrl, String)
      Else
        Return "http://p2p.wrox.com"
      End If
    End Get
    Set(ByVal Value As String)
      ViewState("NavigateUrl") = Value
    End Set
  End Property

End Class
