﻿Partial Class _Default
  Inherits BasePage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
									 Handles Me.Load
		Using myDatabaseContext As PlanetWroxDataContext = New PlanetWroxDataContext()

			Dim favGenres = From genre In myDatabaseContext.Genres _
											Order By genre.Name _
											Where Profile.FavoriteGenres.Contains(genre.Id) _
											Select New With {genre.Name, genre.Reviews}

			Repeater1.DataSource = favGenres
			Repeater1.DataBind()

			Repeater1.Visible = Repeater1.Items.Count > 0
			plcNoRecords.Visible = Repeater1.Items.Count = 0
		End Using
	End Sub

End Class
