﻿Partial Class AllByGenre
  Inherits BasePage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Using myDataContext As New PlanetWroxDataContext()

			Dim allGenres = From genre In myDataContext.Genres _
											Order By genre.Name _
											Select New With {genre.Name, genre.Reviews}

			Repeater1.DataSource = allGenres
			Repeater1.DataBind()

		End Using
	End Sub
End Class
